Bug 1003929 - [abrt] gdb-7.5.1-38.fc18: vgetargskeywords: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-38.fc18: vgetargskeywords: Process /usr/bin/gdb was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:516fc86920c8e8e0040af9ca1ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 10:20 EDT by Jan Hranac
Modified: 2014-02-05 17:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.40 MB, text/plain)
2013-09-03 10:20 EDT, Jan Hranac
no flags Details
File: cgroup (126 bytes, text/plain)
2013-09-03 10:20 EDT, Jan Hranac
no flags Details
File: core_backtrace (361.41 KB, text/plain)
2013-09-03 10:20 EDT, Jan Hranac
no flags Details
File: dso_list (3.29 KB, text/plain)
2013-09-03 10:20 EDT, Jan Hranac
no flags Details
File: environ (2.75 KB, text/plain)
2013-09-03 10:20 EDT, Jan Hranac
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details
File: maps (17.09 KB, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details
File: open_fds (258 bytes, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details
File: var_log_messages (323 bytes, text/plain)
2013-09-03 10:21 EDT, Jan Hranac
no flags Details

  None (edit)
Description Jan Hranac 2013-09-03 10:20:26 EDT
Description of problem:
This crash occurred during debugging of a C++ application in Eclipse. The tab "Variables" was visible. I stepped inside a method. The tab "Variables" failed to redraw and gdb crashed. Doesn't happen when the tab "Variables" isn't visible.
This is an old and recurring bug.

Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: vgetargskeywords
executable:     /usr/bin/gdb
kernel:         3.10.9-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 vgetargskeywords at /usr/src/debug/Python-2.7.3/Python/getargs.c:1542
 #1 _PyArg_ParseTupleAndKeywords_SizeT at /usr/src/debug/Python-2.7.3/Python/getargs.c:1465
 #2 pattern_match at /usr/src/debug/Python-2.7.3/Modules/_sre.c:1875
 #3 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4098
 #4 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #5 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #6 function_call at /usr/src/debug/Python-2.7.3/Objects/funcobject.c:526
 #7 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c:2529
 #8 instancemethod_call at /usr/src/debug/Python-2.7.3/Objects/classobject.c:2578
 #9 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c:2529

Potential duplicate: bug 760627
Comment 1 Jan Hranac 2013-09-03 10:20:37 EDT
Created attachment 793215 [details]
File: backtrace
Comment 2 Jan Hranac 2013-09-03 10:20:42 EDT
Created attachment 793216 [details]
File: cgroup
Comment 3 Jan Hranac 2013-09-03 10:20:48 EDT
Created attachment 793217 [details]
File: core_backtrace
Comment 4 Jan Hranac 2013-09-03 10:20:52 EDT
Created attachment 793218 [details]
File: dso_list
Comment 5 Jan Hranac 2013-09-03 10:20:56 EDT
Created attachment 793219 [details]
File: environ
Comment 6 Jan Hranac 2013-09-03 10:21:00 EDT
Created attachment 793220 [details]
File: exploitable
Comment 7 Jan Hranac 2013-09-03 10:21:04 EDT
Created attachment 793221 [details]
File: limits
Comment 8 Jan Hranac 2013-09-03 10:21:09 EDT
Created attachment 793222 [details]
File: maps
Comment 9 Jan Hranac 2013-09-03 10:21:12 EDT
Created attachment 793223 [details]
File: open_fds
Comment 10 Jan Hranac 2013-09-03 10:21:16 EDT
Created attachment 793224 [details]
File: proc_pid_status
Comment 11 Jan Hranac 2013-09-03 10:21:19 EDT
Created attachment 793225 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:32:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:21:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.